#include <stdio.h>

__global__ void greeting(void)
{
    printf("Hello, world from block %2d thread %2d!\n",
                   blockIdx.x, threadIdx.x);
}

int main(void)
{
    // launch a kernel to greet from the device
    greeting<<<16,256>>>();
    cudaDeviceReset();
    return 0;
}
